Mailboxes
List messages in a mailbox thread
Returns the thread's message summaries, oldest first.
Returns the thread's message summaries, oldest first. Pass nextCursor back as cursor for the next page; it is null on the last page. Read the bodies with GET .../threads/{threadId}/content or one message with GET /v1/mailboxes/{id}/messages/{messageId}.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$threadId*string
Match
^thread_[0-9a-hjkmnp-tv-z]{16,24}$Query Parameters
limit?string|null
cursor?CursorEncoded|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/mailboxes/string/threads/string/messages"{ "items": [ { "id": "string", "direction": "inbound", "from": { "actor": { "kind": "user", "id": "string", "displayName": "string" }, "displayName": "string", "address": "string" }, "to": [ "string" ], "subject": "string", "preview": "string", "hasAttachments": true, "occurredAt": "string" } ], "nextCursor": "string"}Related documentation
List quarantined messages
List quarantined messages. View request and response details for this Samva email API endpoint.
List notes in a mailbox thread
Returns the internal notes on a thread with their bodies, oldest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.